@media (max-width: 768px) {

    .menu-toggle { display: block; }

    .nav {
        display: none;
        position: absolute;
        top: 60px;
        width: 100%;
        background: #fff;
        flex-direction: column;
        padding: 20px;
    }

    .nav.active { display: flex; }

    .nosotros-box {
        padding: 36px 28px;
    }

    .gin-grid {
        grid-template-columns: 1fr;
    }

    .map-grid {
        display: flex;
        flex-direction: column;
    }
}